<!--右边模块-->
<template>
  <div class="right-module">
    <div class="right-module-top">
      <ModuleBgBox name="品牌创建">
        <div class="brand-list" id="reform-brand"></div>
        <div class="sub-name">
          <div class="bar">
            <img src="@/assets/img/inportantCity/组 10.png" alt="" />
          </div>
          <div class="name">品牌详情</div>

          <div class="bar">
            <img src="@/assets/img/inportantCity/组 10 拷贝.png" alt="" />
          </div>
        </div>
        <div class="iteration-list">
          <vue-seamless-scroll
            class="scroll-list"
            :data="list"
            :class-option="optionSingleHeightTime"
          >
            <div
              class="scroll-list-li no-point"
              v-for="(_item, _index) in list"
              :key="_index"
            >
              <span> {{ _item.name }}</span>
            </div>
          </vue-seamless-scroll>
        </div>
        <div class="more-btn">有关详细</div>
      </ModuleBgBox>
    </div>
    <div class="right-module-bottom">
      <ModuleBgBox name="领导关注" sub-name="工作部署">
        <div class="iteration-list">
          <vue-seamless-scroll
            class="scroll-list"
            :data="iterationList"
            :class-option="optionSingleHeightTime"
          >
            <div
              class="scroll-list-li no-point"
              v-for="(_item, _index) in iterationList"
              :key="_index"
            >
              <span> {{ _item.name }}</span>
            </div>
          </vue-seamless-scroll>
        </div>
        <div class="more-btn">查看更多</div>
      </ModuleBgBox>
    </div>
  </div>
</template>
<script>
import ModuleBgBox from '@/views/BigScreen/components/ModuleBgBox.vue'
import VueSeamlessScroll from 'vue-seamless-scroll'
import * as echarts from 'echarts'

export default {
  name: 'RightModule',
  components: {ModuleBgBox, VueSeamlessScroll},
  // 右边模块
  data() {
    return {
      iterationList: [
        {
          id: 1,
          name: '推动数字重庆建设',
          score: 31,
          sn: 1,
          trend: 0
        },
        {
          id: 2,
          name: '探索经济区与行政区适度分离改革',
          score: 26,
          sn: 2,
          trend: 1
        },
        {
          id: 3,
          name: '探索制造业“亩均论英雄”改革',
          score: 23,
          sn: 3,
          trend: 1
        },
        {
          id: 4,
          name: '实施国企战略性重组和专业化整合',
          score: 22,
          sn: 4,
          trend: 1
        },
        {
          id: 5,
          name: '建立企业上市助推机制',
          score: 21,
          sn: 5,
          trend: 2
        },
        {
          id: 6,
          name: '探索强村富民综合改革',
          score: 15,
          sn: 6,
          trend: 1
        },
        {
          id: 7,
          name: '全市开发区（园区）数',
          score: 13,
          sn: 7,
          trend: 1
        },
        {
          id: 8,
          name: '推进涉企涉民服务全生命周期“一件事一次办”',
          score: 12,
          sn: 8,
          trend: 1
        },
        {
          id: 9,
          name: '打造“信用重庆”升级版',
          score: 11,
          sn: 9,
          trend: 2
        },
        {
          id: 10,
          name: '探索制造业“亩均论英雄”改革',
          score: 9,
          sn: 10,
          trend: 1
        },
        {
          id: 11,
          name: '健全平安重庆风险闭环管控机制',
          score: 7,
          sn: 11,
          trend: 2
        },

        {
          id: 12,
          name: '推进渝警数智“情指行”一体化现代警务改革',
          score: 5,
          sn: 12,
          trend: 1
        },
        {
          id: 13,
          name: '建立领导班子运行评估和群众口碑评价机制',
          score: 4,
          sn: 13,
          trend: 2
        },
        {
          id: 14,
          name: '推进“党建扎桩·治理结网”基层治理现代化改革',
          score: 3,
          sn: 14,
          trend: 1
        },
        {
          id: 15,
          name: '实施投融资多元化改革',
          score: 2,
          sn: 15,
          trend: 1
        }
      ],
      list: [
        {
          id: 1,
          name: '铜梁区三举措解决农村三权分置改革xx的问题    '
        },
        {
          id: 2,
          name: '铜梁区三举措解决农村三权分置改革xx的问题    '
        },
        {
          id: 3,
          name: '铜梁区三举措解决农村三权分置改革xx的问题    '
        },
        {
          id: 4,
          name: '铜梁区三举措解决农村三权分置改革xx的问题    '
        },
        {
          id: 5,
          name: '铜梁区三举措解决农村三权分置改革xx的问题    '
        }
      ]
    }
  },
  created() {},
  mounted() {
    this.initReformBrand()
  },
  computed: {
    optionSingleHeightTime() {
      return {
        step: 0.1
      }
    }
  },
  methods: {
    initReformBrand() {
      const chartDom = document.getElementById('reform-brand')
      this.reformBrandChart = echarts.init(chartDom)
      this.reformBrandOption = {
        grid: {
          //图表离外层盒子的距离
          top: '15%',
          bottom: '10%',
          left: '1%',
          right: '2%',
          containLabel: true
        },
        tooltip: {
          trigger: 'axis',
          backgroundColor: 'rgba(6, 47, 107, 1)',
          borderColor: 'rgba(2, 115, 233, 1)',
          textStyle: {
            color: '#fff'
          }
        },
        legend: {
          position: 'bottom',
          data: ['获全国肯定性评价', '获中央媒体深度专题报道'],
          inactiveColor: '#333333',
          borderRadius: 6,
          bottom: 0,
          itemWidth: 20,
          itemHeight: 6,
          textStyle: {
            color: '#B1E3FF'
          }
        },
        xAxis: {
          type: 'category',
          boundaryGap: true,
          axisTick: false,
          axisLine: {
            lineStyle: {
              color: 'rgba(154,199,220, 0.2)'
            }
          },
          axisLabel: {
            color: '#D7F1FF'
          },
          data: ['1月', '2月', '3月', '4月']
        },
        yAxis: {
          type: 'value',
          min: 0,
          splitNumber: 5,
          interval: 2, // 步长
          axisLabel: {
            color: '#D7F1FF'
          },
          axisLine: {
            lineStyle: {
              color: 'rgba(154,199,220, 0.2)'
            }
          },
          splitLine: {
            lineStyle: {
              color: 'rgba(154,199,220, 0.2)'
            }
          }
        },
        color: ['#59C06C', 'rgba(255,152,0,1)'],
        series: [
          {
            name: '获全国肯定性评价',
            data: [3, 4, 6, 3],
            type: 'bar',
            barWidth: 6,
            itemStyle: {
              borderRadius: 5
            }
          },
          {
            name: '获中央媒体深度专题报道',
            data: [2, 5, 2, 5],
            type: 'line',
            symbol: 'emptyCircle',
            symbolSize: 4,
            areaStyle: {
              color: {
                type: 'linear',
                x: 0,
                y: 0,
                x2: 0,
                y2: 1,
                colorStops: [
                  {
                    offset: 0,
                    color: 'rgba(255,152,0,1)' // 0% 处的颜色
                  },
                  {
                    offset: 0.4,
                    color: 'rgba(255,152,0,0.3)' // 0% 处的颜色
                  },
                  {
                    offset: 1,
                    color: 'rgba(255, 181, 31, 0)' // 100% 处的颜色
                  }
                ],
                global: false // 缺省为 false
              }
            }
          }
        ]
      }
      this.reformBrandOption &&
        this.reformBrandChart.setOption(this.reformBrandOption)
      window.addEventListener('resize', () => this.reformBrandChart.resize())
    }
  }
}
</script>
<style scoped lang="scss">
.right-module {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  row-gap: 14px;

  .right-module-top {
    width: 100%;
    height: 61%;
    .brand-list {
      height: 53%;
      width: 100%;
    }
    .sub-name {
      display: flex;
      align-items: center;
      justify-content: center;

      height: 8%;
      .name {
        font-size: 16px;
        font-family: SimHei;
        font-weight: 400;
        color: #ffffff;
        text-shadow: 0px 0px 16px #266bf2;
        margin: 0 43px;
      }
      .bar {
        width: 99px;
      }
    }
    .iteration-list {
      width: 94.5%;
      height: 23%;

      padding: 8px 10px;

      .scroll-list {
        width: 100%;
        height: 100%;
        overflow: hidden;

        .scroll-list-li {
          height: 32px;
          line-height: 32px;
          padding-left: 35px;
          margin-bottom: 1px;
          position: relative;
          background: rgba(2, 115, 233, 0.1);

          span {
            color: #6c88aa;
            font-size: 16px;
            font-weight: bold;
          }

          &::after {
            position: absolute;
            content: '';
            left: 20px;
            transform: translateY(-50%);
            top: 50%;
            width: 6px;
            height: 6px;
            background: #ff9800;
            border-radius: 50%;
          }

          &:nth-last-child(1) {
            margin-bottom: 0;
          }
        }
        .no-point::after {
          background: transparent;
        }
      }
    }
    .more-btn {
      position: absolute;
      bottom: 3%;
      left: 50%;
      transform: translateX(-50%);
      text-align: center;
      line-height: 36px;
      font-size: 14px;
      font-family: SimHei;
      font-weight: 400;
      color: #fff;
      cursor: pointer;
      width: 30%;
      height: 32px;
      background: linear-gradient(90deg, #0777e1, #074ea3);
      border: 1px solid #0669cd;
      border-radius: 10px;
    }
  }

  .right-module-bottom {
    width: 100%;
    height: 38%;
    .iteration-list {
      width: 94.5%;
      height: 73%;

      padding: 8px 10px;

      .scroll-list {
        width: 100%;
        height: 100%;
        overflow: hidden;

        .scroll-list-li {
          height: 32px;
          line-height: 32px;
          padding-left: 35px;
          margin-bottom: 4px;
          position: relative;

          span {
            color: #6c88aa;
            font-size: 16px;
            font-weight: bold;
          }

          &::after {
            position: absolute;
            content: '';
            left: 20px;
            transform: translateY(-50%);
            top: 50%;
            width: 6px;
            height: 6px;
            background: #ff9800;
            border-radius: 50%;
          }

          // &::before {
          //   position: absolute;
          //   content: '';
          //   right: 20px;
          //   background: url('~@/assets/img/bigScreen/icon_zs_list@2x.png')
          //     no-repeat;
          //   background-size: 100% 100%;
          //   transform: translateY(-50%);
          //   top: 50%;
          //   width: 20px;
          //   height: 15px;
          // }

          &:nth-last-child(1) {
            margin-bottom: 0;
          }

          &:nth-child(odd) {
            background: rgba(6, 41, 97, 0.1);
          }

          &:nth-child(even) {
            background: rgba(2, 115, 233, 0.1);
          }
        }
        .no-point::after {
          background: transparent;
        }
      }
    }
    .more-btn {
      position: absolute;
      bottom: 5%;
      left: 50%;
      transform: translateX(-50%);
      text-align: center;
      line-height: 36px;
      font-size: 14px;
      font-family: SimHei;
      font-weight: 400;
      color: #fff;
      cursor: pointer;
      width: 30%;
      height: 32px;
      background: linear-gradient(90deg, #0777e1, #074ea3);
      border: 1px solid #0669cd;
      border-radius: 10px;
    }
  }
}
</style>
